part of 'generated.dart';

class DeleteShiftVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteShiftVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteShiftData> dataDeserializer = (dynamic json)  => DeleteShiftData.fromJson(jsonDecode(json));
  Serializer<DeleteShiftVariables> varsSerializer = (DeleteShiftVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteShiftData, DeleteShiftVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteShiftData, DeleteShiftVariables> ref() {
    DeleteShiftVariables vars= DeleteShiftVariables(id: id,);
    return _dataConnect.mutation("deleteShift", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteShiftShiftDelete {
  final String id;
  DeleteShiftShiftDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteShiftShiftDelete otherTyped = other as DeleteShiftShiftDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteShiftShiftDelete({
    required this.id,
  });
}

@immutable
class DeleteShiftData {
  final DeleteShiftShiftDelete? shift_delete;
  DeleteShiftData.fromJson(dynamic json):
  
  shift_delete = json['shift_delete'] == null ? null : DeleteShiftShiftDelete.fromJson(json['shift_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteShiftData otherTyped = other as DeleteShiftData;
    return shift_delete == otherTyped.shift_delete;
    
  }
  @override
  int get hashCode => shift_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (shift_delete != null) {
      json['shift_delete'] = shift_delete!.toJson();
    }
    return json;
  }

  DeleteShiftData({
    this.shift_delete,
  });
}

@immutable
class DeleteShiftVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteShiftVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteShiftVariables otherTyped = other as DeleteShiftVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteShiftVariables({
    required this.id,
  });
}

